<?php

namespace App\Services\Complain;

use App\Models\BlackListModel;
use App\Models\FlowerLogModel;
use App\Services\User\ProfileService;

class ContactComplaintHandle extends ComplaintHandle
{


    public function erasing()
    {
        $be_user = $this->getBeUser();
        foreach ($this->fields as $field) {
            try {
                switch ($field) {
                    case "photo_src":
                    case "photo_1":
                    case "photo_2":
                    case "photo_3":
                    case "photo_4":
                        $pfs = new ProfileService();
                        $pfs->deletePhoto($be_user->uid, $field);
                        break;
                    case "voice":
                    case "weixin":
                    case "qq":
                    case "school":
                    case "home":
                    case "address":
                        $userService = new ProfileService();
                        $userService->updateUser($be_user, [$field => '']);
                        break;
                    case "sex":
                        $value = 0;
                        if ($be_user->sex == 1) {
                            $value = 2;
                        } elseif ($be_user->sex = 2) {
                            $value = 1;
                        }
                        $userService = new ProfileService();
                        $userService->updateUser($be_user, [$field => $value]);
                        break;
                }
            } catch (\Exception $e) {
            }
        }
    }


    public function reply()
    {
        switch ($this->state) {
            case "1":
                return "仅回复";
                break;
            case "2":
                return "联系客服";
                break;
            case "3":
                $user = $this->getUser();
                $user->increment('red_flower', 1.5);
                FlowerLogModel::create([
                    'uid' => $user->uid,
                    'red_flower' => 1.5,
                    'type' => 5,
                    'remark' => '你的举报已通过，退回1.5倍消费小fa！',
                ]);

                return "退还小花";
                break;
        }
    }


    public function defriend()
    {
        BlackListModel::create([
            'uid' => $this->complaint->be_uid,
            'complaint_id' => $this->complaint->id,
            'end_at' => $this->defriend_at,
            'type' => 'chat',
            'state' => $this->defriend_state,
        ]);
    }
}
